description

# Comment class Null safety

Class used for encoding comments as metadata annotations.

## Constructors

Comment(String text, String trimmedText, bool isDocComment)
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isDocComment → bool
  Is `true` if this comment is a documentation comment. [...]
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
text → String
  The comment text as written in the source text.
  final
trimmedText → String
  The comment text without the start, end, and padding text. [...]
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited